List push subscriptions
List all registered push subscriptions for the current user. Requires user authentication.
List all registered push subscriptions for the current user. Requires user authentication.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Response Body
application/json
curl -X GET "https://example.com/push-subscriptions"{ "subscriptions": [ { "id": "string", "endpoint": "string", "userAgent": "string", "createdAt": "string" } ]}Empty
Get VAPID public key GET
Returns the VAPID public key needed to subscribe to push notifications. Requires user authentication but no specific organization context.
Register push subscription POST
Register a new Web Push subscription for the current user. If the endpoint already exists, it will be updated with the new keys. Requires user authentication.